> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update assignment, status (not COMPLETED/CANCELLED), notes or intermediate result of a work item



## OpenAPI

````yaml /openapi/storefront.yaml patch /api/v2/storefront/inventory-sources/{id}/modular/work-items/{workItemId}
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Publisher Domains
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/inventory-sources/{id}/modular/work-items/{workItemId}:
    patch:
      tags:
        - Inventory Sources
      summary: >-
        Update assignment, status (not COMPLETED/CANCELLED), notes or
        intermediate result of a work item
      operationId: patchStorefrontInventorySourcesByIdModularWorkItemsByWorkItemId
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
        - name: workItemId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  type: string
                  enum:
                    - OPEN
                    - IN_PROGRESS
                    - BLOCKED
                assignedTo:
                  anyOf:
                    - anyOf:
                        - type: string
                          maxLength: 255
                        - type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                    - type: 'null'
                blockedReason:
                  anyOf:
                    - type: string
                      maxLength: 2000
                    - type: 'null'
                result:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                notes:
                  type: string
                  maxLength: 4000
              additionalProperties: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          ok:
                            type: boolean
                            const: true
                          item:
                            type: object
                            properties:
                              id:
                                type: string
                              storefrontId:
                                type: string
                              inventorySourceId:
                                type: string
                              moduleId:
                                type:
                                  - string
                                  - 'null'
                              kind:
                                type: string
                                enum:
                                  - APPROVE_MEDIA_BUY
                                  - APPROVE_MEDIA_BUY_CANCELLATION
                                  - REVIEW_CREATIVE
                                  - CONFIRM_AVAILS
                                  - APPROVE_RATE_EXCEPTION
                                  - MAP_CREATIVE_REF
                                  - SYNC_UPSTREAM_CREATIVE
                                  - EXECUTE_UPSTREAM_BOOKING
                                  - TRAFFIC_TO_CADENT
                                  - RESOLVE_TRAFFICKING_ERROR
                                  - UPLOAD_FINAL_REPORT
                                  - RESOLVE_SOURCE_HEALTH
                                  - GENERAL
                              title:
                                type: string
                              description:
                                type:
                                  - string
                                  - 'null'
                              status:
                                type: string
                                enum:
                                  - OPEN
                                  - IN_PROGRESS
                                  - BLOCKED
                                  - COMPLETED
                                  - CANCELLED
                              priority:
                                type: string
                                enum:
                                  - LOW
                                  - NORMAL
                                  - HIGH
                                  - URGENT
                              resourceType:
                                type: string
                              resourceId:
                                type: string
                              mediaBuyId:
                                type:
                                  - string
                                  - 'null'
                              buyerCustomerId:
                                anyOf:
                                  - type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  - type: 'null'
                              assignedTo:
                                type:
                                  - string
                                  - 'null'
                              dueAt:
                                type:
                                  - string
                                  - 'null'
                              blockedReason:
                                type:
                                  - string
                                  - 'null'
                              createdByType:
                                type: string
                              createdById:
                                type:
                                  - string
                                  - 'null'
                              completedBy:
                                type:
                                  - string
                                  - 'null'
                              completedAt:
                                type:
                                  - string
                                  - 'null'
                              createdAt:
                                type: string
                              updatedAt:
                                type: string
                              payload:
                                type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                              result:
                                type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                            required:
                              - id
                              - storefrontId
                              - inventorySourceId
                              - moduleId
                              - kind
                              - title
                              - description
                              - status
                              - priority
                              - resourceType
                              - resourceId
                              - mediaBuyId
                              - buyerCustomerId
                              - assignedTo
                              - dueAt
                              - blockedReason
                              - createdByType
                              - createdById
                              - completedBy
                              - completedAt
                              - createdAt
                              - updatedAt
                              - payload
                              - result
                            additionalProperties: false
                          changed:
                            type: boolean
                        required:
                          - ok
                          - item
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````